diagrams-lib-1.3.0.8: Embedded domain-specific language for declarative graphics

Copyright | (c) 2014-2015 diagrams-lib team (see LICENSE)
License | BSD-style (see LICENSE)
Maintainer | diagrams-discuss@googlegroups.com
Safe Haskell | Safe
Language | Haskell2010

Diagrams.TwoD.Segment.Bernstein

Description

Bernstein polynomials, used internally by code to find intersections of paths. This module is probably not of any relevance to most users of diagrams.

Synopsis

- data BernsteinPoly n = BernsteinPoly {
  - bernsteinDegree :: Int
  - bernsteinCoeffs :: [n]
  }
- listToBernstein :: Fractional n => [n] -> BernsteinPoly n
- evaluateBernstein :: Fractional n => BernsteinPoly n -> n -> n
- degreeElevate :: Fractional n => BernsteinPoly n -> Int -> BernsteinPoly n
- bernsteinDeriv :: Fractional n => BernsteinPoly n -> BernsteinPoly n
- evaluateBernsteinDerivs :: Fractional n => BernsteinPoly n -> n -> [n]

# Documentation

data BernsteinPoly n Source

Constructors

BernsteinPoly |

Fields

bernsteinDegree :: Int
bernsteinCoeffs :: [n]

Instances

Functor BernsteinPoly Source |
Fractional n => Num (BernsteinPoly n) Source |
Show n => Show (BernsteinPoly n) Source |
Fractional n => Sectionable (BernsteinPoly n) Source |
Fractional n => EndValues (BernsteinPoly n) Source |
Num n => DomainBounds (BernsteinPoly n) Source |
Fractional n => Parametric (BernsteinPoly n) Source |
type V (BernsteinPoly n) = V1 Source |
type N (BernsteinPoly n) = n Source |
type Codomain (BernsteinPoly n) = V1 Source |

listToBernstein :: Fractional n => [n] -> BernsteinPoly n Source

Create a bernstein polynomial from a list of coëfficients.

evaluateBernstein :: Fractional n => BernsteinPoly n -> n -> n Source

Evaluate the bernstein polynomial.

degreeElevate :: Fractional n => BernsteinPoly n -> Int -> BernsteinPoly n Source

Degree elevate a bernstein polynomial a number of times.

bernsteinDeriv :: Fractional n => BernsteinPoly n -> BernsteinPoly n Source

Find the derivative of a bernstein polynomial.

evaluateBernsteinDerivs :: Fractional n => BernsteinPoly n -> n -> [n] Source

Evaluate the bernstein polynomial and its derivatives.